Bug 704138 - [abrt] gftp-2:2.0.19-4.fc14: gftp_expand_path: Process /usr/bin/gftp-gtk was killed by signal 11 (SIGSEGV)
Summary: [abrt] gftp-2:2.0.19-4.fc14: gftp_expand_path: Process /usr/bin/gftp-gtk was ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gftp
Version: 14
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Itamar Reis Peixoto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:7ff10680cb4a30fdf68f67d2623...
: 665895 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-12 08:53 UTC by Daniel Rindt
Modified: 2012-08-21 19:42 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 13:27:55 UTC


Attachments (Terms of Use)
File: backtrace (26.16 KB, text/plain)
2011-05-12 08:53 UTC, Daniel Rindt
no flags Details
File: backtrace (27.54 KB, text/plain)
2012-04-09 16:43 UTC, Johannes Postler
no flags Details
File: backtrace (24.52 KB, text/plain)
2012-05-06 07:58 UTC, Stefan
no flags Details
File: backtrace (24.78 KB, text/plain)
2012-05-06 07:58 UTC, Stefan
no flags Details

Description Daniel Rindt 2011-05-12 08:53:02 UTC
abrt version: 1.1.18
architecture: i686
Attached file: backtrace, 26787 bytes
cmdline: /usr/bin/gftp-gtk
component: gftp
Attached file: coredump, 23494656 bytes
crash_function: gftp_expand_path
executable: /usr/bin/gftp-gtk
kernel: 2.6.35.13-91.fc14.i686.PAE
package: gftp-2:2.0.19-4.fc14
rating: 4
reason: Process /usr/bin/gftp-gtk was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1305190048
uid: 500

How to reproduce
-----
1. browsing via ssh2
2. change to a directory on remote side
3.

Comment 1 Daniel Rindt 2011-05-12 08:53:06 UTC
Created attachment 498480 [details]
File: backtrace

Comment 2 Evgeni Dimitrov 2011-05-13 08:05:56 UTC
Package: gftp-2:2.0.19-4.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Transfer file from ftp server
2.
3.

Comment 3 Emilien AYGLON 2011-05-16 20:50:11 UTC
Package: gftp-2:2.0.19-4.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Envoie d'un répertoire vers le FTP
2.Navigation dans le FTP durant le transfert

Comment 4 Joel Uckelman 2011-05-31 17:19:06 UTC
Package: gftp-2.0.19-5.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
1. Start downloading a directory via FTP.
2. Navigate up to the parent directory while the download is in progress.

This is reproducible every time. Bug 632550 is a duplicate, from way back in Fedora 13.

Comment 5 Mohammed Arafa 2011-05-31 22:00:12 UTC
Package: gftp-2.0.19-5.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
while gftp was uploading file i tried to move up one parent directory by double clicking on the icon.

Comment 6 piyush_harsh 2011-06-01 09:31:55 UTC
Package: gftp-2:2.0.19-4.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. started gftp and logged in to remote server using ssh2
2. did a full directory transfer from remote to local
3. gftp crashed

Comment 7 Adrian Riley 2011-06-05 22:13:49 UTC
Package: gftp-2:2.0.19-4.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Started upload of a large file
2.Tried to go to parent local directory
3.

Comment 8 Dario Meloni 2011-06-09 06:43:30 UTC
Package: gftp-2.0.19-5.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Connect to remote SFTP host
Change local directory
Change remote directory
Start a download
Crash when going up one folder on the remote side

Comment 9 flashl 2011-06-15 10:31:59 UTC
Package: gftp-2.0.19-5.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Copying files from remote host to local directory

Comment 10 flashl 2011-06-16 01:02:42 UTC
Package: gftp-2.0.19-5.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Refreshing remote dir

Comment 11 Ken Jones 2011-06-21 13:58:36 UTC
Package: gftp-2:2.0.19-4.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.open program
2.connet to remote site
3.attempt download


Comment
-----
Not exactly sure, was still clicking after error came up. Was attempting to download a folder with 1 file in it when a not connected message came up in the bottom area.

Comment 12 MD 2011-07-08 17:15:36 UTC
Package: gftp-2:2.0.19-4.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.change directory
2.automatically closed
3.


Comment
-----
change directory then automatically closed

Comment 13 amreg 2011-09-04 14:28:26 UTC
Package: gftp-2:2.0.19-4.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. I'm a webmaster of a site. I was trying to get back a local copy of this site onto my Linux box.
2. Launched gFTP, selected al directories form the distant site, and started the dowload.
3. Crash occurred immediately.

Comment 14 amreg 2011-09-04 14:36:40 UTC
Additional comment to comment 13.

A few minutes before the attempt that resulted in the crash, I had another problem with gFTP, on the same distant website.

When trying to visualize a distant text file (right-click, then select "View"), I got an error sometimes (sometimes it worked, but sometimes I get a return "Unable to read <path to file>", but the issue is that the path was for the *local* system, which was surprising because I was trying to read a *distant* file...

Comment 15 marcelo.marucho 2011-10-06 17:28:59 UTC
Package: gftp-2:2.0.19-4.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.
2.
3.
?

Comment 16 Sara L. Uckelman 2011-10-20 13:40:27 UTC
Package: gftp-2:2.0.19-4.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Tried to ftp a remote directory back to a local one
2. connection failed
3. double-clicked on the remote directory
4. gftp crashed

Comment 17 Чугунов Ярослав Викторович 2011-10-30 13:36:36 UTC
Package: gftp-2:2.0.19-4.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.незнаю.
2.
3.

Comment 18 Чугунов Ярослав Викторович 2011-10-30 13:37:16 UTC
Package: gftp-2:2.0.19-4.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.незнаю.
2.
3.

Comment 19 supaflav 2011-12-29 15:39:15 UTC
Package: gftp-2:2.0.19-4.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.begin transfer of files from local to remote via ftp (large files 10MB+)
2.change working directory on local (parent '..')
3.change working directory on remote (parent '..') and then crash occured


Comment
-----
Seems changing working directory (using '..' for returning to parent directory) causes crash while FTP transfer in progress.  Only default settings used --> Downloaded, opened, and connected to remote FTP using toolbar (first time using gFTP ... otherwise working well = )

Comment 20 Tommi Pakarinen 2012-01-08 10:57:28 UTC
make a connection to a host via ssh2 (password authentication)
select multiple files to transfer
during the transfer double-click ".." to move to the parent directory on the remote host


rating: 4
Package: gftp-2.0.19-5.fc15
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment 21 Sara L. Uckelman 2012-01-30 19:53:04 UTC
Package: gftp-2:2.0.19-4.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. I have no idea
2.
3.


Comment
-----
I received the bug notice 8 hours after the crash purportedly occurred.  I don't even recall the program crashing.

Comment 22 Sara L. Uckelman 2012-01-31 08:41:10 UTC
Package: gftp-2:2.0.19-4.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Crash occurred after a file transfer stalled.
2.
3.


Comment
-----
I received the bug notice 8 hours after the crash purportedly occurred.  I don't even recall the program crashing.

Comment 23 Sara L. Uckelman 2012-02-13 18:12:52 UTC
Package: gftp-2:2.0.19-4.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. I tried changing directories remotely, and when this stalled, I tried to disconnect, and then the program crashed.
2.
3.


Comment
-----
I received the bug notice 8 hours after the crash purportedly occurred.  I don't even recall the program crashing.

Comment 24 abrt-bot 2012-03-20 15:33:45 UTC
*** Bug 665895 has been marked as a duplicate of this bug. ***

Comment 25 Johannes Postler 2012-04-09 16:43:12 UTC
I was uploading files and then double-clicked on a remote folder.

backtrace_rating: 4
Package: gftp-2.0.19-5.fc15
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment 26 Johannes Postler 2012-04-09 16:43:23 UTC
Created attachment 576258 [details]
File: backtrace

Comment 27 Stefan 2012-05-06 07:58:04 UTC
Started file transfer from my server running win7 and filezilla ftp server to this local laptop with fedora 16.

backtrace_rating: 4
Package: gftp-2.0.19-5.fc15
OS Release: Fedora release 16 (Verne)

Comment 28 Stefan 2012-05-06 07:58:15 UTC
Created attachment 582375 [details]
File: backtrace

Comment 29 Stefan 2012-05-06 07:58:51 UTC
I started 3 file transfers from my server and gftp vanished.

backtrace_rating: 4
Package: gftp-2.0.19-5.fc15
OS Release: Fedora release 16 (Verne)

Comment 30 Stefan 2012-05-06 07:58:56 UTC
Created attachment 582376 [details]
File: backtrace

Comment 31 Fedora End Of Life 2012-08-16 13:27:58 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 32 Joel Uckelman 2012-08-21 19:42:06 UTC
Re-reported for Fedora 17 as Bug 850545.


Note You need to log in before you can comment on or make changes to this bug.